#!/bin/bash

SERVICES_HOST="${1:-ffpb-services}"

MYDIR="$(dirname $0)"
MYDIR="$(readlink -f $MYDIR)"

pushd $MYDIR >/dev/null

echo -en "Fetching current BATCAVE data from $SERVICES_HOST ... 0/5"

ssh $SERVICES_HOST alfred-json -z -r 158 > "${MYDIR}/alfred-158.json"
echo -en "\x08\x08\x081/5"

ssh $SERVICES_HOST alfred-json -z -r 159 > "${MYDIR}/alfred-159.json"
echo -en "\x08\x08\x082/5"

ssh $SERVICES_HOST batctl gwl > "${MYDIR}/batctl-gwl.txt"
echo -en "\x08\x08\x083/5"

ssh $SERVICES_HOST batctl vd json -n > "${MYDIR}/batctl-vd.json"
echo -en "\x08\x08\x084/5"

ssh $SERVICES_HOST batadv-vis -f jsondoc > "${MYDIR}/batadv-vis.json"
echo -en "\x08\x08\x08done\n"

popd > /dev/null

